import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
import MoleculeField from '@s-ui/react-molecule-field';
import AtomInput from '@s-ui/react-atom-input';

var getErrorState = function getErrorState(success, error) {
  if (success) return false;
  if (error) return true;
};

var MoleculeInputField = function MoleculeInputField(_ref) {
  var id = _ref.id,
      label = _ref.label,
      successText = _ref.successText,
      errorText = _ref.errorText,
      helpText = _ref.helpText,
      inline = _ref.inline,
      onChange = _ref.onChange,
      props = _objectWithoutPropertiesLoose(_ref, ["id", "label", "successText", "errorText", "helpText", "inline", "onChange"]);

  var errorState = getErrorState(successText, errorText);
  return React.createElement(MoleculeField, {
    name: id,
    label: label,
    successText: successText,
    errorText: errorText,
    helpText: helpText,
    inline: inline,
    onChange: onChange
  }, React.createElement(AtomInput, Object.assign({
    id: id,
    errorState: errorState
  }, props)));
};

MoleculeInputField.displayName = 'MoleculeInputField';
export default MoleculeInputField;